{
    "type": "project",
    "license": "proprietary",
    "minimum-stability": "stable",
    "prefer-stable": true,
    "require": {
        "php": ">=8.1",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "doctrine/annotations": "^2.0",
        "doctrine/doctrine-bundle": "^2.9",
        "doctrine/doctrine-migrations-bundle": "^3.2",
        "doctrine/orm": "^2.15",
        "phpdocumentor/reflection-docblock": "^5.3",
        "phpstan/phpdoc-parser": "^1.21",
        "symfony/asset": "^7",
        "symfony/console": "^7",
        "symfony/doctrine-messenger": "^7",
        "symfony/dotenv": "^7",
        "symfony/expression-language": "^7",
        "symfony/flex": "^2",
        "symfony/form": "^7",
        "symfony/framework-bundle": "^7",
        "symfony/http-client": "^7",
        "symfony/intl": "^7",
        "symfony/mailer": "^7",
        "symfony/mime": "^7",
        "symfony/monolog-bundle": "^3.0",
        "symfony/notifier": "^7",
        "symfony/process": "^7",
        "symfony/property-access": "^7",
        "symfony/property-info": "^7",
        "symfony/runtime": "^7",
        "symfony/security-bundle": "^7",
        "symfony/serializer": "^7",
        "symfony/string": "^7",
        "symfony/translation": "^7",
        "symfony/twig-bundle": "^7",
        "symfony/ux-turbo": "^2.9",
        "symfony/ux-vue": "^2.9",
        "symfony/validator": "^7",
        "symfony/web-link": "^7",
        "symfony/webpack-encore-bundle": "^2.1",
        "symfony/yaml": "^7",
        "twbs/bootstrap-icons": "^1.10",
        "twig/extra-bundle": "^2.12|^3.0",
        "twig/twig": "^2.12|^3.0"
    },
    "config": {
        "allow-plugins": {
            "php-http/discovery": true,
            "symfony/flex": true,
            "symfony/runtime": true
        },
        "sort-packages": true
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php72": "*",
        "symfony/polyfill-php73": "*",
        "symfony/polyfill-php74": "*",
        "symfony/polyfill-php80": "*",
        "symfony/polyfill-php81": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": "^7"
        }
    },
    "require-dev": {
        "phpunit/phpunit": "^9.5",
        "symfony/browser-kit": "^7",
        "symfony/css-selector": "^7",
        "symfony/debug-bundle": "^7",
        "symfony/maker-bundle": "^1.48",
        "symfony/phpunit-bridge": "^6.3",
        "symfony/stopwatch": "^7",
        "symfony/web-profiler-bundle": "^7"
    }
}
